CirrusSearch: Support Elasticsearch 1.0+
Closed, ResolvedPublic

Assigned To
None
Priority
Unbreak Now!
Author
Chad
Subscribers
Chad, Deskana, SmartK and 2 others
Projects
Reference
bz61879
Description

Right now we only support Elasticsearch 0.9x.x. We need ES1.0. Fix Cirrus.


Version: master
Severity: blocker

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 2:52 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz61879.
Chad created this task.Via LegacyFeb 24 2014, 9:33 PM
Manybubbles added a comment.Via ConduitFeb 24 2014, 9:36 PM

I'm starting to set up a development environment that I can use for 1.0 and 0.90.x right now.

Manybubbles added a comment.Via ConduitFeb 27 2014, 8:54 PM

Update: we've merged https://gerrit.wikimedia.org/r/#/c/115215/ to support 1.0 and we're testing Elasticsearch 1.0.1 in beta.

Manybubbles added a comment.Via ConduitMar 7 2014, 7:10 PM

1.0.1 is in production as of last night and stable.

SmartK added a comment.Via ConduitMar 27 2014, 9:43 AM

Can we also use Elasticsearch 1.1.0 ?

Manybubbles added a comment.Via ConduitMar 27 2014, 1:46 PM

I haven't tried 1.1.0 yet but I'm excited to. It has two features which'll be great for big wikis: multiple rescores and phrase suggester speed boost. I don't see a reason why it won't "just work" but I'm waiting to try it because I'm watching an issue that might cause them to release a 1.1.1 pretty quickly (https://github.com/elasticsearch/elasticsearch/issues/5573). It doesn't effect Cirrus but if they spin out a new release in the next few days I don't want to have to reverify everything. Or upgrade the production cluster twice. That is a pain.

SmartK added a comment.Via ConduitMar 27 2014, 5:29 PM

Thank you for the fast reply. I will wait for 1.1.1 then ;-)

Manybubbles added a comment.Via ConduitApr 1 2014, 2:54 PM

It looks like that didn't make a 1.1.1 so I verified 1.1.0 yesterday/this morning. I've upgraded beta.wmflabs.org and everything seems fine. When I next work on backporting changes to the release branch I'll verify it there as well but I imagine that branch will work without any trouble.

SmartK added a comment.Via ConduitApr 2 2014, 8:38 AM

Thank you Nik. I updated to ES 1.1.0 today (I am on REL_1.22) and the searches still seem to work :-)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.